### Hierarchy

- GetTradeStatisticsClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorGetTradeStatistics
- options_

### Methods

- getTradeStatistics

## Constructors

### constructor

- new GetTradeStatisticsClient(hostname: string, credentials?: null | {}, options?: null | {}): GetTradeStatisticsClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2493

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns GetTradeStatisticsClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:2488

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2490

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:2489

### methodDescriptorGetTradeStatistics

methodDescriptorGetTradeStatistics: MethodDescriptor < GetTradeStatisticsRequest , GetTradeStatisticsReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2506

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2491

## Methods

### getTradeStatistics

- getTradeStatistics(request: GetTradeStatisticsRequest, metadata: null | Metadata ): Promise< GetTradeStatisticsReply >
- getTradeStatistics(request: GetTradeStatisticsRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetTradeStatisticsReply ) => void): ClientReadableStream < GetTradeStatisticsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2517

  #### Parameters

  - ##### request: GetTradeStatisticsRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetTradeStatisticsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2521

  #### Parameters

  - ##### request: GetTradeStatisticsRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetTradeStatisticsReply ) => void

    - - (err: RpcError, response: GetTradeStatisticsReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetTradeStatisticsReply

        #### Returns void

  #### Returns ClientReadableStream < GetTradeStatisticsReply >

Generated using TypeDoc